Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TermVectorsTermsWriterPerThread Class Reference

`#include <TermVectorsTermsWriterPerThread.h>`

Inheritance diagram for Lucene::TermVectorsTermsWriterPerThread:

## Public Member Functions

| TermVectorsTermsWriterPerThread (const TermsHashPerThreadPtr &termsHashPerThread, const TermVectorsTermsWriterPtr &termsWriter)
virtual | ~TermVectorsTermsWriterPerThread ()
virtual String | getClassName ()
boost::shared_ptr< TermVectorsTermsWriterPerThread > | shared_from_this ()
virtual void | startDocument ()
virtual DocWriterPtr | finishDocument ()
virtual TermsHashConsumerPerFieldPtr | addField (const TermsHashPerFieldPtr &termsHashPerField, const FieldInfoPtr &fieldInfo)
virtual void | abort ()
bool | clearLastVectorFieldName ()
| Called only by assert.
bool | vectorFieldsInOrder (const FieldInfoPtr &fi)
Public Member Functions inherited from Lucene::TermsHashConsumerPerThread
virtual | ~TermsHashConsumerPerThread ()
boost::shared_ptr< TermsHashConsumerPerThread > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermsHashConsumerPerThread
static String | _getClassName ()

## Data Fields

TermVectorsTermsWriterWeakPtr | _termsWriter
TermsHashPerThreadWeakPtr | _termsHashPerThread
DocStateWeakPtr | _docState
TermVectorsTermsWriterPerDocPtr | doc
ByteSliceReaderPtr | vectorSliceReader
Collection< UTF8ResultPtr > | utf8Results
String | lastVectorFieldName

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ TermVectorsTermsWriterPerThread()

Lucene::TermVectorsTermsWriterPerThread::TermVectorsTermsWriterPerThread | ( | const TermsHashPerThreadPtr & | termsHashPerThread,
|  | const TermVectorsTermsWriterPtr & | termsWriter
| ) |  |

## ◆ ~TermVectorsTermsWriterPerThread()

virtual Lucene::TermVectorsTermsWriterPerThread::~TermVectorsTermsWriterPerThread | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TermVectorsTermsWriterPerThread::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::TermVectorsTermsWriterPerThread::abort | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerThread.

## ◆ addField()

virtual TermsHashConsumerPerFieldPtr Lucene::TermVectorsTermsWriterPerThread::addField | ( | const TermsHashPerFieldPtr & | termsHashPerField,
|  | const FieldInfoPtr & | fieldInfo
| ) |  |

virtual

Implements Lucene::TermsHashConsumerPerThread.

## ◆ clearLastVectorFieldName()

bool Lucene::TermVectorsTermsWriterPerThread::clearLastVectorFieldName | ( |  | ) |

Called only by assert.

## ◆ finishDocument()

virtual DocWriterPtr Lucene::TermVectorsTermsWriterPerThread::finishDocument | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerThread.

## ◆ getClassName()

virtual String Lucene::TermVectorsTermsWriterPerThread::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermsHashConsumerPerThread.

## ◆ shared_from_this()

boost::shared_ptr< TermVectorsTermsWriterPerThread > Lucene::TermVectorsTermsWriterPerThread::shared_from_this | ( |  | ) |

inline

## ◆ startDocument()

virtual void Lucene::TermVectorsTermsWriterPerThread::startDocument | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerThread.

## ◆ vectorFieldsInOrder()

bool Lucene::TermVectorsTermsWriterPerThread::vectorFieldsInOrder | ( | const FieldInfoPtr & | fi | ) |

## Field Documentation

## ◆ _docState

DocStateWeakPtr Lucene::TermVectorsTermsWriterPerThread::_docState

## ◆ _termsHashPerThread

TermsHashPerThreadWeakPtr Lucene::TermVectorsTermsWriterPerThread::_termsHashPerThread

## ◆ _termsWriter

TermVectorsTermsWriterWeakPtr Lucene::TermVectorsTermsWriterPerThread::_termsWriter

## ◆ doc

TermVectorsTermsWriterPerDocPtr Lucene::TermVectorsTermsWriterPerThread::doc

## ◆ lastVectorFieldName

String Lucene::TermVectorsTermsWriterPerThread::lastVectorFieldName

## ◆ utf8Results

Collection<UTF8ResultPtr> Lucene::TermVectorsTermsWriterPerThread::utf8Results

## ◆ vectorSliceReader

ByteSliceReaderPtr Lucene::TermVectorsTermsWriterPerThread::vectorSliceReader

The documentation for this class was generated from the following file:

- TermVectorsTermsWriterPerThread.h

clucene.sourceforge.net